goocanvasmm: Goocanvas::LineDash Class Reference

goocanvasmm 1.90.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Goocanvas::LineDash Class Reference

## Public Member Functions
| LineDash ()
| LineDash (GooCanvasLineDash* gobject, bool make_a_copy=true)
| LineDash (const LineDash& other)
LineDash& | operator= (const LineDash& other)
| LineDash (LineDash&& other) noexcept
LineDash& | operator= (LineDash&& other) noexcept
| ~LineDash () noexcept
void | swap (LineDash& other) noexcept
GooCanvasLineDash* | gobj ()
| Provides access to the underlying C instance. More...
const GooCanvasLineDash* | gobj () const
| Provides access to the underlying C instance. More...
GooCanvasLineDash* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GooCanvasLineDash* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (LineDash& lhs, LineDash& rhs) noexcept
Goocanvas::LineDash | wrap (GooCanvasLineDash* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Goocanvas::LineDash::LineDash | ( |  | ) |

Goocanvas::LineDash::LineDash | ( | GooCanvasLineDash * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

Goocanvas::LineDash::LineDash | ( | const LineDash& | other | ) |

Goocanvas::LineDash::LineDash | ( | LineDash&& | other | ) |
| noexcept

Goocanvas::LineDash::~LineDash | ( |  | ) |
| noexcept

## Member Function Documentation

static GType Goocanvas::LineDash::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GooCanvasLineDash* Goocanvas::LineDash::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GooCanvasLineDash* Goocanvas::LineDash::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

GooCanvasLineDash* Goocanvas::LineDash::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

LineDash& Goocanvas::LineDash::operator= | ( | const LineDash& | other | ) |

LineDash& Goocanvas::LineDash::operator= | ( | LineDash&& | other | ) |
| noexcept

void Goocanvas::LineDash::swap | ( | LineDash& | other | ) |
| noexcept

## Friends And Related Function Documentation

void swap | ( | LineDash& | lhs,
|  | LineDash& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Goocanvas::LineDash wrap | ( | GooCanvasLineDash * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GooCanvasLineDash* Goocanvas::LineDash::gobject_
| protected

The documentation for this class was generated from the following file:

- goocanvasmm/linedash.h